System.Web 2.0.0.0 System.Object System.Web.IHttpModule

The class creates and manages anonymous identifiers for an ASP.NET application. Anonymous identifiers are used by features that support anonymous identification such as the ASP.NET .

The exposes a event that enables you to set the anonymous identifier to a custom value. If you do not specify a custom anonymous identifier value, a is used.

The event is accessed by specifying a subroutine named AnonymousIdentification_Creating in the Global.asax file for your ASP.NET application.

The is only used when anonymous identification is by setting the enabled attribute of the anonymousIdentification configuration element to true.

Anonymous identification is independent of any type of ASP.NET authentication.

Manages anonymous identifiers for the ASP.NET application.

- Constructor

  This constructor is not intended to be called from application code.

  ASP.NET calls this constructor to create an instance of the class. After calling the constructor, it calls the method to initialize the new object.

  Creates an instance of the class.

  2.0.0.0
- Method
  System.Void

  The method removes the anonymous identifier associated with a session on a Web site. Use the method to remove the anonymous identifier associated with a session when the user switches to an authenticated session associated with a user ID, for example when the event occurs.

  Since a new anonymous identifier will be issued immediately if the current anonymous identifier is removed, the method will throw a if it is called while the session is identified by an anonymous identifier.

  If the site is using cookies, the method issues a clear cookie to remove the anonymous identifier from the browser. The clear cookie is issued even if an anonymous cookie was not sent on the previous request.

  The clear cookie is constructed as follows:

  If the browser supports empty strings in a cookie, the cookie is issued with the empty string as its value; otherwise, the cookie is issued with "NoCookie" as its value.

  The values for the cookie name, path, and domain are set to the defaults configured in the Web application's configuration file.

  The expiration date is set to October 12, 1999.

  If the site is using cookieless authentication, and an anonymous identifier is present in the URL, the anonymous identifier is removed from the URL. No other changes are made to the address or query string. After the URL is modified, a redirect is issued to return to the currently executing page.

  Clears the anonymous cookie or identifier associated with a session.

  2.0.0.0
- Event
  System.Web.Security.AnonymousIdentificationEventHandler

  The event is raised during the event.

  You can access the event of the class by specifying a subroutine named AnonymousIdentification_Creating in the Global.asax file for your ASP.NET application.

  You can use the property of the object supplied to the AnonymousIdentification_Creating event to set the anonymous identifier to a custom value. If you do not specify a value for the property during the AnonymousIdentification_Creating event, a is used.

  The AnonymousIdentification_Creating event is only raised when the anonymous identification is .

  Occurs when a new anonymous identifier is created.

  2.0.0.0
- Method
  System.Void

  This method is not intended to be called from application code.

  Releases all resources, other than memory, used by the .

  2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether anonymous identification is enabled for the ASP.NET application.

  2.0.0.0
- Method
  System.Void ``

  This method is not intended to be called from application code.

  The method ensures that the is included in the processing of the event.

  Initializes the object.

  The current instance. 2.0.0.0